<p class="title"><%= 'Upload file'.t %></p>

<% form_tag({:action => 'do_the_upload', :folder_id => controller.folder_id}, {:multipart => true}) do %>
    <p><%= myfile_to_file(error_messages_for('myfile')) %>
    <label for="myfile_name"><%= 'Select file to upload'.t %>:</label><br/>
    <%= file_field 'myfile', 'myfile' %><br />
    <%= ('Max upload file size (in Kb):'.t) + (MAX_UPLOAD_FILE_SIZE / 1024).floor.to_s if MAX_UPLOAD_FILE_SIZE %><br />
    <%= submit_tag 'Upload'.t %><br /><br />
    <%= 'If file is a ZIP archive'.t %>:
    <%= select('special','archive',[['Do not expand'.t,''],['Expand'.t,'expand']]) %>
    </p>
<% end %>

